Bug 2015311 (CVE-2021-35603) - CVE-2021-35603 OpenJDK: Non-constant comparison during TLS handshakes (JSSE, 8269618)
Summary: CVE-2021-35603 OpenJDK: Non-constant comparison during TLS handshakes (JSSE, ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-35603
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2012332 2012333 2012334 2012335 2012336 2012337 2012338 2012339 2013841 2013842 2014299 2014300 2014301 2014302 2057129 2057130 2057131 2061939 2070472
Blocks: 2011827
TreeView+ depends on / blocked
 
Reported: 2021-10-18 21:04 UTC by Tomas Hoger
Modified: 2022-04-06 11:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-20 14:09:01 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:3952 0 None None None 2021-10-25 01:19:52 UTC
Red Hat Product Errata RHBA-2021:3954 0 None None None 2021-10-25 01:23:04 UTC
Red Hat Product Errata RHBA-2021:3963 0 None None None 2021-10-25 12:33:38 UTC
Red Hat Product Errata RHBA-2021:3964 0 None None None 2021-10-25 12:33:25 UTC
Red Hat Product Errata RHBA-2021:3965 0 None None None 2021-10-25 12:32:27 UTC
Red Hat Product Errata RHBA-2021:3966 0 None None None 2021-10-25 12:32:47 UTC
Red Hat Product Errata RHBA-2021:3969 0 None None None 2021-10-25 12:58:41 UTC
Red Hat Product Errata RHBA-2021:3970 0 None None None 2021-10-25 12:57:18 UTC
Red Hat Product Errata RHBA-2021:3979 0 None None None 2021-10-25 17:53:14 UTC
Red Hat Product Errata RHBA-2021:3983 0 None None None 2021-10-26 01:25:02 UTC
Red Hat Product Errata RHBA-2021:3984 0 None None None 2021-10-26 01:30:01 UTC
Red Hat Product Errata RHBA-2021:3985 0 None None None 2021-10-26 01:30:53 UTC
Red Hat Product Errata RHBA-2021:3986 0 None None None 2021-10-26 01:28:25 UTC
Red Hat Product Errata RHBA-2021:3993 0 None None None 2021-10-26 10:35:39 UTC
Red Hat Product Errata RHBA-2021:3994 0 None None None 2021-10-26 11:29:00 UTC
Red Hat Product Errata RHBA-2021:3995 0 None None None 2021-10-26 11:29:19 UTC
Red Hat Product Errata RHBA-2021:4041 0 None None None 2021-11-01 10:43:14 UTC
Red Hat Product Errata RHBA-2021:4048 0 None None None 2021-11-01 18:52:02 UTC
Red Hat Product Errata RHBA-2021:4125 0 None None None 2021-11-04 11:21:19 UTC
Red Hat Product Errata RHBA-2021:4126 0 None None None 2021-11-04 11:21:47 UTC
Red Hat Product Errata RHBA-2021:4127 0 None None None 2021-11-04 12:55:59 UTC
Red Hat Product Errata RHBA-2021:4583 0 None None None 2021-11-10 13:06:01 UTC
Red Hat Product Errata RHBA-2021:4584 0 None None None 2021-11-10 08:16:51 UTC
Red Hat Product Errata RHBA-2021:4670 0 None None None 2021-11-16 03:50:33 UTC
Red Hat Product Errata RHBA-2021:4732 0 None None None 2021-11-18 12:15:19 UTC
Red Hat Product Errata RHBA-2021:4842 0 None None None 2021-11-29 12:31:43 UTC
Red Hat Product Errata RHBA-2021:5079 0 None None None 2021-12-13 08:05:47 UTC
Red Hat Product Errata RHBA-2021:5083 0 None None None 2021-12-13 09:51:28 UTC
Red Hat Product Errata RHSA-2021:3884 0 None None None 2021-10-20 13:18:36 UTC
Red Hat Product Errata RHSA-2021:3885 0 None None None 2021-10-20 13:32:14 UTC
Red Hat Product Errata RHSA-2021:3886 0 None None None 2021-10-20 13:09:06 UTC
Red Hat Product Errata RHSA-2021:3887 0 None None None 2021-10-20 13:45:08 UTC
Red Hat Product Errata RHSA-2021:3889 0 None None None 2021-10-20 14:38:09 UTC
Red Hat Product Errata RHSA-2021:3891 0 None None None 2021-10-20 13:53:35 UTC
Red Hat Product Errata RHSA-2021:3892 0 None None None 2021-10-20 15:23:09 UTC
Red Hat Product Errata RHSA-2021:3893 0 None None None 2021-10-20 13:40:05 UTC
Red Hat Product Errata RHSA-2021:3960 0 None None None 2021-10-25 11:55:48 UTC
Red Hat Product Errata RHSA-2021:3961 0 None None None 2021-10-25 11:56:09 UTC
Red Hat Product Errata RHSA-2021:3967 0 None None None 2021-10-25 12:24:40 UTC
Red Hat Product Errata RHSA-2021:3968 0 None None None 2021-10-25 12:25:16 UTC
Red Hat Product Errata RHSA-2021:4135 0 None None None 2021-11-09 20:08:58 UTC
Red Hat Product Errata RHSA-2021:4531 0 None None None 2021-11-11 18:31:46 UTC
Red Hat Product Errata RHSA-2021:4532 0 None None None 2021-11-11 18:31:06 UTC
Red Hat Product Errata RHSA-2022:0968 0 None None None 2022-03-21 07:34:13 UTC
Red Hat Product Errata RHSA-2022:0969 0 None None None 2022-03-21 07:32:58 UTC
Red Hat Product Errata RHSA-2022:0970 0 None None None 2022-03-21 07:25:47 UTC

Description Tomas Hoger 2021-10-18 21:04:04 UTC
It was discovered that the TLS implementation in the JSSE component of OpenJDK used non-constant comparisons when checking various data (such as session identifiers or verification data blocks) during TLS handshakes.  A malicious TLS client could possibly use this flaw to recover that data by observing timing differences in processing of various inputs.

Comment 1 Tomas Hoger 2021-10-19 20:40:31 UTC
Public now via Oracle CPU October 2021:

https://www.oracle.com/security-alerts/cpuoct2021.html#AppendixJAVA

Fixed in Oracle Java SE 17.0.1, 11.0.13, 8u311, and 7u321.

Comment 6 errata-xmlrpc 2021-10-20 13:09:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:3886 https://access.redhat.com/errata/RHSA-2021:3886

Comment 7 errata-xmlrpc 2021-10-20 13:18:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:3884 https://access.redhat.com/errata/RHSA-2021:3884

Comment 8 errata-xmlrpc 2021-10-20 13:32:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:3885 https://access.redhat.com/errata/RHSA-2021:3885

Comment 9 errata-xmlrpc 2021-10-20 13:40:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3893 https://access.redhat.com/errata/RHSA-2021:3893

Comment 10 errata-xmlrpc 2021-10-20 13:45:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:3887 https://access.redhat.com/errata/RHSA-2021:3887

Comment 11 errata-xmlrpc 2021-10-20 13:53:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3891 https://access.redhat.com/errata/RHSA-2021:3891

Comment 12 Product Security DevOps Team 2021-10-20 14:09:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-35603

Comment 13 errata-xmlrpc 2021-10-20 14:38:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3889 https://access.redhat.com/errata/RHSA-2021:3889

Comment 14 errata-xmlrpc 2021-10-20 15:23:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3892 https://access.redhat.com/errata/RHSA-2021:3892

Comment 15 errata-xmlrpc 2021-10-25 11:55:47 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 8u312

Via RHSA-2021:3960 https://access.redhat.com/errata/RHSA-2021:3960

Comment 16 errata-xmlrpc 2021-10-25 11:56:08 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 8u312

Via RHSA-2021:3961 https://access.redhat.com/errata/RHSA-2021:3961

Comment 17 errata-xmlrpc 2021-10-25 12:24:39 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.13

Via RHSA-2021:3967 https://access.redhat.com/errata/RHSA-2021:3967

Comment 18 errata-xmlrpc 2021-10-25 12:25:15 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 11.0.13

Via RHSA-2021:3968 https://access.redhat.com/errata/RHSA-2021:3968

Comment 20 errata-xmlrpc 2021-11-09 20:08:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4135 https://access.redhat.com/errata/RHSA-2021:4135

Comment 23 errata-xmlrpc 2021-11-11 18:31:05 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.1

Via RHSA-2021:4532 https://access.redhat.com/errata/RHSA-2021:4532

Comment 24 errata-xmlrpc 2021-11-11 18:31:45 UTC
This issue has been addressed in the following products:

  Red Hat Build of OpenJDK 17.0.1

Via RHSA-2021:4531 https://access.redhat.com/errata/RHSA-2021:4531

Comment 25 errata-xmlrpc 2022-03-21 07:25:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0970 https://access.redhat.com/errata/RHSA-2022:0970

Comment 26 errata-xmlrpc 2022-03-21 07:32:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2022:0969 https://access.redhat.com/errata/RHSA-2022:0969

Comment 27 errata-xmlrpc 2022-03-21 07:34:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2022:0968 https://access.redhat.com/errata/RHSA-2022:0968


Note You need to log in before you can comment on or make changes to this bug.